function GenerateRefPoints(UTS_D, Ref_D, num_ref, window_size,variable_ind,Num_MTS)

% Generate 'num_ref' reference points for 'variable_ind'

r = zeros(window_size,num_ref);
for i =1:num_ref
    rand_MTS  = ceil(rand(1,1)*Num_MTS);
    filename = [UTS_D '/' num2str(variable_ind) '/' num2str(rand_MTS) '.txt'];
    uts = load(filename);
    rand_Offset  = ceil(rand(1,1) * (length(uts)-window_size+1));
    t = uts(rand_Offset:rand_Offset+window_size-1);
%     t = (t - mean(t))./std(t);
    r(:,i) = t;
end
if(~exist(Ref_D,'dir'))
    mkdir(Ref_D);
end
outputname = [Ref_D '/RefPoints_F' num2str(variable_ind) '.txt'];
save(outputname,'r','-ASCII');