function lengths = GetLengths(MTS_D, Num_MTS)

%get the length for each MTS in the folder MTS_D and save it to a file


flist=dir(MTS_D);
fnum = length(flist);
i = 1;
mts_i = 0;
lengths = zeros(Num_MTS,1);
while i <= fnum    
    if ~flist(i).isdir && ~strcmp(flist(i).name,'Thumbs.db')&& ~strcmp(flist(i).name,'FlightListCLE.csv')
        mts_i = mts_i + 1;        
        MTS = load(sprintf('%s/%s',MTS_D,flist(i).name)); %read in one MTS
        lengths(mts_i) = size(MTS,1);
        fprintf('MTS %d length %d\n',mts_i, lengths(mts_i));
    end
    i = i + 1;
end

outputname = ['lengths_' num2str(Num_MTS) '.txt']; 
fid = fopen(outputname,'wt');
fprintf(fid,'%d\n',lengths);
fclose(fid);
